require 'cli/ui'
require 'etc'

class Salute
  def self.do(welcome_to)
    hour = Time.now.hour

    # Example used in Etc module at ruby-docs.org #
    login = Etc.getlogin
    info = Etc.getpwnam(login)
    userName = info.gecos.split(/,/).first

    if (hour <= 12 and hour > 0)
      timeOfDay = "morning"
    elsif (hour > 12 and hour <= 16)
      timeOfDay = "afternoon"
    elsif (hour > 16)
      timeOfDay = "evening"
    end

    CLI::UI::StdoutRouter.enable
    CLI::UI::Frame.open("Welcome to #{welcome_to}", failure_text: nil, success_text: nil, timing: false){
    puts "Good #{timeOfDay} #{userName}.\nToday's date is #{Time.now.strftime("%A, %B %d")} and it is currently #{Time.now.strftime("%H:%M")}."
  }
  end
end
